List Dynamic Config References

gethttps://statsigapi.net/console/v1/gates/{id}/dynamic_config_references

Authorizations

STATSIG-API-KEYstringrequired

apiKey (header)

Path parameters

idstringrequired

id

Query parameters

pageinteger

Page number

Other properties1
limitnumber

Response

application/json
200· List dynamic configs that reference this gate
messagestringrequired

A simple string explaining the result of the operation.

dataobject[]required
Show child attributes
id[]stringrequired

ID

name[]string

Optional name for the configuration.

idType[]string

The type of ID which the dynamic config is based on.

description[]stringrequired

A brief summary of what the dynamic config is being used for

lastModifierID[]stringrequired

ID of the last modifier.

lastModifiedTime[]numberrequired

Time of the last modification.

lastModifierEmail[]stringrequired

Email of the last modifier.

lastModifierName[]stringrequired

Name of the last modifier.

creatorID[]string
createdTime[]numberrequired

Timestamp when the entity was created.

creatorName[]stringrequired

Name of the creator.

creatorEmail[]string
tags[]string[]

The list of tag names attached to the dynamic config

targetApps[]oneOf
holdoutIDs[]string[]

Holdouts applied to this configuration.

team[]string

The team name associated with the dynamic config, Enterprise only.

teamID[]string

The team ID associated with the dynamic config, Enterprise only.

version[]number

Version number

isEnabled[]booleanrequired

Is the dynamic config enabled

rules[]object[]required

An array of Rule objects

name[]stringrequired

The name of this rule.

passPercentage[]numberrequired

Of the users that meet the conditions of this rule, what percent should return true.

conditions[]object[]required

An array of Condition objects.

targetValue[]oneOf
operator[]string
field[]string
customID[]string
type[]stringrequired
environments[]string[]
id[]string

The Statsig ID of this rule.

baseID[]string

The base ID of this rule, i.e. without any added metadata. Will remain the exact same throughout

returnValue[]object
completedAutomatedRollouts[]object[]

Read-only: Automated rollout phases that have already completed.

time[]number
passPercent[]numberrequired
pendingAutomatedRollouts[]object[]

Read-only: Automated rollout phases that are scheduled but not yet complete.

time[]number
passPercent[]numberrequired
returnValueJson5[]string
variants[]object[]
id[]string
name[]stringrequired
passPercentage[]numberrequired
returnValue[]object
returnValueJson5[]string
defaultValue[]object

The fallback JSON object when no rules are triggered

defaultValueJson5[]string

Can include comments. If provided with defaultValue, must parse to the same JSON

owner[]object

Schema for owner data including ID, type, name. Note that if Entity is created by CONSOLE API, owner will be undefined.

ownerIDstring

ID of the owner

ownerTypestring

Type of the owner (e.g., SDK_KEY or USER)

ownerNamestring

The name of the owner. This field is optional.

ownerEmailstring

The email of the owner. This field is optional.

schema[]string

A schema using JSON Schema Draft 2020-12 to enforce return values of this dynamic config's rules.

schemaJson5[]string

schema except with Json5 comments. Optional and should parse to same json as schema.

releasePipelineID[]string

The release pipeline ID associated with the dynamic config

isTemplate[]boolean
status[]string
checksPerHour[]number
permalink[]stringrequired

A permalink to this dynamic config in the Statsig Console.

type[]stringrequired

The lifecycle type of the config (TEMPORARY, PERMANENT, or STALE). STALE classification depends on the nightly stale detection batch job having run; a config not yet processed reads as TEMPORARY.

typeReason[]stringrequired

The reason for the current type classification. Depends on the nightly stale detection batch job having run.

isPermanent[]booleanrequired

Whether the config has been explicitly marked as long-lived.

paginationobjectrequired

Pagination metadata for checking if there is next page for example.

404· Not Found. The requested resource could not be found.
statusintegerrequired
messagestringrequired

Was this helpful?